/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service.impl;

import com.rjconsultores.ventaboletos.dao.TarjetaRecaudacionDAO;
import com.rjconsultores.ventaboletos.entidad.TarjetaRecaudacion;
import com.rjconsultores.ventaboletos.entidad.TarjetaRecaudacionPK;
import com.rjconsultores.ventaboletos.service.TarjetaRecaudacionService;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 *
 * @author Administrador
 */
@Service("tarjetaRecaudacionService")
public class TarjetaRecaudacionServiceImpl implements TarjetaRecaudacionService {

    @Autowired
    private TarjetaRecaudacionDAO tarjetaRecaudacionDAO;

    public List<TarjetaRecaudacion> obtenerTodos() {
        return tarjetaRecaudacionDAO.obtenerTodos();
    }

    public TarjetaRecaudacion obtenerID(TarjetaRecaudacionPK id) {
        return tarjetaRecaudacionDAO.obtenerID(id);
    }

    @Transactional
    public TarjetaRecaudacion suscribir(TarjetaRecaudacion entidad) {
        return tarjetaRecaudacionDAO.suscribir(entidad);
    }

    @Transactional
    public TarjetaRecaudacion actualizacion(TarjetaRecaudacion entidad) {
        return tarjetaRecaudacionDAO.actualizacion(entidad);
    }

    @Transactional
    public void borrar(TarjetaRecaudacion entidad) {
        tarjetaRecaudacionDAO.borrar(entidad);
    }
}
